%define upstream_name    Mail-IMAPClient
%define upstream_version 3.32

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    An IMAP Client API
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Mail/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Errno)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Fcntl)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::File)
BuildRequires: perl(IO::Select)
BuildRequires: perl(IO::Socket)
BuildRequires: perl(IO::Socket::INET) >= 1.260.0
BuildRequires: perl(List::Util)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Parse::RecDescent) >= 1.940.0
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
This module provides Perl routines that simplify a sockets connection to and an
IMAP conversation with an IMAP server.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

# fix perl path
find -type f | xargs perl -pi -e "s|/usr/local/bin/perl|%{_bindir}/perl|g"

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor < /dev/null
%make

%check
make test

%install
%makeinstall_std
# fix permissions
find %{buildroot} -type f -exec chmod 0644 {} \;
find %{buildroot} -type d -exec chmod 0755 {} \;

%files
%doc Changes META.yml MYMETA.yml README examples
%{perl_vendorlib}/Mail
%{_mandir}/man3/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 3.320.0-2.mga3
+ Revision: 369419
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 10 2012 jquelin <jquelin> 3.320.0-1.mga3
+ Revision: 291707
- update to 3.32

* Wed Jun 06 2012 jquelin <jquelin> 3.310.0-1.mga3
+ Revision: 256191
- update to 3.31

* Mon Nov 14 2011 jquelin <jquelin> 3.300.0-1.mga2
+ Revision: 167651
- update to 3.30
- update to 3.29

* Wed Mar 09 2011 jquelin <jquelin> 3.280.0-1.mga1
+ Revision: 66996
- update to 3.28

* Sat Feb 26 2011 jquelin <jquelin> 3.270.0-1.mga1
+ Revision: 60242
- update to 3.27

* Fri Jan 21 2011 jquelin <jquelin> 3.250.0-1.mga1
+ Revision: 28639
- mageia rebuild
- imported package perl-Mail-IMAPClient

